This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 460745 - wineprefixcrate fails to copy fonts
wineprefixcrate fails to copy fonts
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: wine (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-30 15:50 EDT by Göran Uddeborg
Modified: 2008-10-07 05:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-07 05:52:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Göran Uddeborg 2008-08-30 15:50:59 EDT
Description of problem:
When doing a wineprefixcreate one gets a message at the end that the target "/windows/fonts/" is not a directory.

Version-Release number of selected component (if applicable):
wine-1.0-1.fc9

How reproducible:
Every time

Steps to Reproduce:
1. wineprefixcreate
  
Actual results:
Error message at the end about /windows/fonts/

Expected results:
No error message.

Additional info:
The reason for the message seems to be the patch wine-prefixfonts.patch which adds a line copying fonts to $CROOT/windows/fonts/.  But CROOT is not defined as a variable in the current version of wineprefixcreate, and the name of the font directory is Fonts with a capital F.

I'm not sure if the copying of fonts is still needed, or if it can be avoided in current versions of wine.  The wineprefixcreate script itself is no longer considered necessary.  But either the patch needs to be updated to match the current wineprefixcreate script.  Or it could be removed if that is appropriate.
Comment 1 Fedora Update System 2008-09-06 03:04:15 EDT
wine-1.1.4-1.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/wine-1.1.4-1.fc8
Comment 2 Fedora Update System 2008-09-06 03:06:22 EDT
wine-1.1.4-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/wine-1.1.4-1.fc9
Comment 3 Fedora Update System 2008-09-11 12:55:35 EDT
wine-1.1.4-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wine'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-7781
Comment 4 Fedora Update System 2008-09-11 13:19:38 EDT
wine-1.1.4-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wine'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-7985
Comment 5 Fedora Update System 2008-09-20 03:30:52 EDT
wine-1.1.5-1.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/wine-1.1.5-1.fc8
Comment 6 Fedora Update System 2008-09-20 03:31:40 EDT
wine-1.1.5-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/wine-1.1.5-1.fc9
Comment 7 Fedora Update System 2008-09-24 20:21:52 EDT
wine-1.1.5-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wine'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-8315
Comment 8 Fedora Update System 2008-09-24 20:24:25 EDT
wine-1.1.5-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wine'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-8342
Comment 9 Fedora Update System 2008-10-07 05:51:59 EDT
wine-1.1.5-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2008-10-07 05:54:47 EDT
wine-1.1.5-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.